module DisqusHelper
  def disqus_thread(post)
    %{
      <div id="disqus_thread"></div>
      <script type="text/javascript">
          /* * * CONFIGURATION VARIABLES: EDIT BEFORE PASTING INTO YOUR WEBPAGE * * */
          var disqus_shortname = '#{settings.disqus_shortname}';

          // The following are highly recommended additional parameters. Remove the slashes in front to use.
          var disqus_identifier = '#{post.slug}';
          // var disqus_url = 'http://example.com/permalink-to-page.html';
          
          var disqus_developer = #{settings.disqus_developer ? '1' : '0'}

          /* * * DON'T EDIT BELOW THIS LINE * * */
          (function() {
              var dsq = document.createElement('script'); dsq.type = 'text/javascript'; dsq.async = true;
              dsq.src = 'http://' + disqus_shortname + '.disqus.com/embed.js';
              (document.getElementsByTagName('head')[0] || document.getElementsByTagName('body')[0]).appendChild(dsq);
          })();
      </script>
      <noscript>Please enable JavaScript to view the <a href="http://disqus.com/?ref_noscript">comments powered by Disqus.</a></noscript>
      <a href="http://disqus.com" class="dsq-brlink">blog comments powered by <span class="logo-disqus">Disqus</span></a> 
    }
  end
end