class LinkedPosts
  def initialize(posts)
    @posts = posts
  end
  
  def slug=(slug)
    @slug = slug
  end
  
  def current
    @posts.detect { |p| p.slug == @slug }
  end
  
  def previous_post
    @posts[current_index + 1]
  end
  
  def next_post
    @posts[current_index - 1] unless current_index == 0
  end
  
private
  
  def current_index
    @posts.index(current)
  end
end