module VideoTag
  def vid(opts)
    dimensions, video_url, image_url = opts[:text].split("\n").map { |x| x.strip.chomp("<br />") }
    width, height = dimensions.split(',').map { |x| x.strip.chomp("<br />") }
    %{
      <div
        id="#{opts[:id]}"
        class="player center"
        href="#{video_url}"
        style="width:#{width};height:#{height};background-image:url(#{image_url})">
        <span></span>
        <img class="play" src="/images/play.png" />
      </div>

      <script type="text/javascript" src="/js/flowplayer-3.2.4.min.js"></script>
      <script type="text/javascript">
        flowplayer("#{opts[:id]}", "http://releases.flowplayer.org/swf/flowplayer-3.2.5.swf");
      </script>
    }
  end
end